Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 967332 - Review Request: rubygem-chardet - Character encoding auto-detection in Ruby
Summary: Review Request: rubygem-chardet - Character encoding auto-detection in Ruby
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vít Ondruch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2013-05-26 17:23 UTC by Anuj More
Modified: 2016-01-04 08:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-04 08:59:38 UTC


Attachments (Terms of Use)

Description Anuj More 2013-05-26 17:23:44 UTC
Spec URL: http://anujmore.fedorapeople.org/pkgs/rubygem-chardet/rubygem-chardet.spec
SRPM URL: http://anujmore.fedorapeople.org/pkgs/rubygem-chardet/rubygem-chardet-0.9.0-1.fc19.src.rpm
Description: Character encoding auto-detection in Ruby
Fedora Account System Username: anujmore

Comment 1 Anuj More 2013-05-26 17:34:13 UTC
Builds on mock: https://raw.github.com/execat/Packages/master/rpmspecs/rubygem-chardet/mock
rpmlint does not complain: 
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 2 Josef Stribny 2013-05-28 10:51:12 UTC
I will take it for a review.

Comment 3 Josef Stribny 2013-05-28 11:45:37 UTC
From your spec file:

```
# URL: http://blog.vava.cn/ # This URL is mentioned in the Gem but doesn't open
URL: https://github.com/janx/chardet
```

The original chardet gem is actually hosted on RubyForge[1] and maintained by Hui Zheng. The release is from 2006 and I don't see any new development or updates here.

The URL you are mentioning belongs to chardet2[2], which is pretty new, it's based on chardet and seems to be maintained.

Apart from that I am unsure whether is chardet Ruby 2.0 ready or not, since I can see that there is a commit regarding Ruby 2.0 compatibility in chardet2[3]. Fedora 19 will use Ruby 2.0 as a default and it would be pointless to package a sort-of dead project that wasn't tested on Ruby 2.0 (although backporting of the above mentioned commit could solve it).

Is there a reason to package this gem? Wouldn't be better to bring chardet2 to Fedora?


[1] http://rubyforge.org/projects/chardet/
[2] https://rubygems.org/gems/chardet2
[3] https://github.com/janx/chardet2/commit/32cc6147b2e519eb3bd777e0bc854b5bfac11ecd

Comment 4 Anuj More 2013-05-28 12:54:39 UTC
I discussed this with the maintainer yesterday:
https://github.com/janx/chardet2/issues/9

The change in URL and the repo name was done less than 10 days ago, where as I packaged the Gem quite some time ago.

After a discussion with vondruch, I packaged this Gem again as chardet2, and it worked with no major changes made to this specfile.

https://raw.github.com/execat/Packages/master/rpmspecs/rubygem-chardet2/rubygem-chardet2.spec

This runs fine on mock as well.

I was thinking of removing this request and filing another one for chardet2, but I was going to discuss this with the GitLab guys before doing that. Nevermind, though.

Comment 5 Vít Ondruch 2013-05-29 08:37:04 UTC
Anuj, as I see the upstream ticket, they are not really helpful unfortunately :/ They don't mind to propose even yet another fork, which is exactly the opposite of what we want. Could you please try to contact the original chardet author and try it the other way around? I.e. the original author will revive the development, or give them commit access and allow them to push new gems to rubygems.org. Thank you.

Comment 7 Vít Ondruch 2016-01-04 08:59:38 UTC
Closing this stalled review.


Note You need to log in before you can comment on or make changes to this bug.